Bug 45817 - [PATCH] Fortune files are needlessly randomized
Summary: [PATCH] Fortune files are needlessly randomized
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 5.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: Murray Stokely
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-28 11:50 UTC by Colin Percival
Modified: 2003-07-10 09:14 UTC (History)
0 users

See Also:


Attachments
fortune.patch (808 bytes, patch)
2002-11-28 11:50 UTC, Colin Percival
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Percival 2002-11-28 11:50:01 UTC
In the build process, fortune files are randomized.  This is
1. Entirely pointless, since fortune(6) performs its own randomization, and
2. Causes the fortune files to be different every time they are rebuilt.
   This will set off flags in any process which compares file checksums (to
   determine if files have been tampered with, or to determine which files
   need to be redistributed following a rebuild.)

Fix: Remove the -r flag in the call to strfile:
How-To-Repeat: Build the fortune files twice, and compare their md5sums.
Comment 1 Murray Stokely freebsd_committer 2003-05-31 06:32:13 UTC
Responsible Changed
From-To: freebsd-bugs->murray

This does seem silly.  I'll investigate this further.
Comment 2 Murray Stokely freebsd_committer 2003-06-19 08:02:15 UTC
State Changed
From-To: open->patched

Patch applied to -CURRENT.  I will MFC to stable in a week or so.
Comment 3 Murray Stokely freebsd_committer 2003-07-10 09:14:20 UTC
State Changed
From-To: patched->closed

This change has been MFCed.  Thanks for the submission and sorry for 
the delay.